lkml.org 
[lkml]   [2004]   [Feb]   [15]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
SubjectRe: 2.6.3-rc3: twice defined symbols with new radeonfb
On Sun, Feb 15, 2004 at 06:47:21PM +1100, Benjamin Herrenschmidt wrote:
> On Sun, 2004-02-15 at 18:41, Adrian Bunk wrote:
> > On Sat, Feb 14, 2004 at 07:33:45PM -0800, Linus Torvalds wrote:
> > >...
> > > Summary of changes from v2.6.3-rc2 to v2.6.3-rc3
> > > ============================================
> > >...
> > > Benjamin Herrenschmidt:
> > >...
> > > o New radeonfb
> > >...
> >
> > I'm getting the following compile error (no module support in the
> > kernel):
>
> Yes, you can't build both old and new radeonfb's at the same time,
> I should do some Kconfig stuff to check that I beleive. It make
> no sense as you don't know which one will pick up anyway.

Something like the patch below?

@Roman:
With the patch below, "make menuconfig" shows
[ ] ATI Radeon display support
[*] ATI Radeon display support (Old driver)

How can I void that the old driver is shown as if it was an option for
the new driver?

> Ben.

cu
Adrian

--- linux-2.6.3-rc3-full/drivers/video/Kconfig.old 2004-02-15 14:13:28.000000000 +0100
+++ linux-2.6.3-rc3-full/drivers/video/Kconfig 2004-02-15 14:20:00.000000000 +0100
@@ -614,16 +614,6 @@
There is no need for enabling 'Matrox multihead support' if you have
only one Matrox card in the box.

-config FB_RADEON_OLD
- tristate "ATI Radeon display support (Old driver)"
- depends on FB && PCI
- help
- Choose this option if you want to use an ATI Radeon graphics card as
- a framebuffer device. There are both PCI and AGP versions. You
- don't need to choose this to run the Radeon in plain VGA mode.
- There is a product page at
- <http://www.ati.com/na/pages/products/pc/radeon32/index.html>.
-
config FB_RADEON
tristate "ATI Radeon display support"
depends on FB && PCI
@@ -650,6 +640,16 @@
help
Say Y here if you want DDC/I2C support for your Radeon board.

+config FB_RADEON_OLD
+ tristate "ATI Radeon display support (Old driver)"
+ depends on FB && PCI && FB_RADEON!=y
+ help
+ Choose this option if you want to use an ATI Radeon graphics card as
+ a framebuffer device. There are both PCI and AGP versions. You
+ don't need to choose this to run the Radeon in plain VGA mode.
+ There is a product page at
+ <http://www.ati.com/na/pages/products/pc/radeon32/index.html>.
+
config FB_ATY128
tristate "ATI Rage128 display support"
depends on FB && PCI
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
\
 
 \ /
  Last update: 2005-03-22 14:00    [W:0.036 / U:7.308 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site